# vim: set ft=spec: -*- rpm-spec -*-
# TODO: create-native-map - ? 

Name: mono-tools
Version: 1.9
Release: alt3.qa1

Summary: Mono Tools is a collection of utility programs for Mono
License: GPL/LGPL
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
URL: http://www.mono-project.com/
Source0: http://go-mono.com/sources/%name/%name-%version.tar.bz2
Patch1: mono-tools-1.9-use-system-cecil.patch
Requires: desktop-file-utils

BuildPreReq: intltool libtool 
BuildPreReq: rpm-build-mono
BuildPreReq: desktop-file-utils
BuildPreReq: glib2-devel
BuildPreReq: libgtk-sharp2
BuildPreReq: libgnome-sharp
BuildPreReq: libgnome-desktop-sharp
BuildPreReq: libgecko-sharp2

BuildRequires: mono-devel mono-mcs mono-nunit monodoc mono-data-oracle mono-jscript

BuildRequires: /proc

%description
Mono Tools is a collection of development and testing programs and 
utilities for use with Mono.

%prep
%setup -q -n %name-%version
%patch1 -p1

subst "s|^pkgconfigdir *= \$(prefix)/lib/pkgconfig|pkgconfigdir = %_pkgconfigdir|" \
	gendarme/framework/Makefile.{am,in} \
	create-native-map/lib/pkgconfig/Makefile.{am,in}
subst 's|^libdir=@libdir@|libdir=${prefix}/lib|' create-native-map/lib/pkgconfig/create-native-map.pc.in
subst "s|^assemblydir = \$(libdir)/ilcontrast|assemblydir = \$(prefix)/lib/ilcontrast|" ilcontrast/Makefile.{am,in}



%build
%autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name
mkdir asn1view.doc && ln -s ../asn1view/{AUTHORS,ChangeLog,README,TODO} asn1view.doc
mkdir docbrowser.doc && ln -s ../docbrowser/ChangeLog docbrowser.doc
mkdir gnunit.doc && ln -s ../gnunit/{AUTHORS,ChangeLog,README,TODO} gnunit.doc

%post
%update_desktopdb
%update_menus

%postun
%clean_desktopdb
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README asn1view.doc docbrowser.doc gnunit.doc
%_bindir/*
%_prefix/lib/mono/*
%_prefix/lib/monodoc/*
%_prefix/lib/gendarme
%_prefix/lib/gui-compare
%_prefix/lib/ilcontrast
%_prefix/lib/create-native-map
%_man1dir/*
%_pkgconfigdir/*
%_datadir/pixmaps/*
%_datadir/applications/*


%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 1.9-alt3.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for mono-tools

* Fri Mar 28 2008 Alexey Shabalin <shaba@altlinux.ru> 1.9-alt3
- fix ilcontrast path (for x86_64)

* Thu Mar 27 2008 Alexey Shabalin <shaba@altlinux.ru> 1.9-alt2
- fix build for x86_64

* Thu Mar 20 2008 Alexey Shabalin <shaba@altlinux.ru> 1.9-alt1
- Update to 1.9
- use system cecil (patch1)

* Mon Dec 17 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.6-alt1
- Update to 1.2.6
- update buildreqiures

* Sat Jul 28 2007 Alexey Shabalin <shaba@altlinux.ru> 1.2.4-alt1
- Update to 1.2.4

* Thu Oct 19 2006 Ildar Mulyukov <ildar@altlinux.ru> 1.1.17-alt1
- rpm-build-mono support
- turned off gecko support

* Fri Apr 14 2006 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.11-alt2
- Fix x86_64 build

* Wed Feb 22 2006 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.11-alt1
- Update to release

* Sat Nov 26 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.10-alt1
- Update to release

* Tue Oct 11 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.1.9-alt1
- Update to release

* Fri Aug 05 2005 Evgeny Sinelnikov <sin@altlinux.ru> 1.0-alt1
- Initial Release 

